Package com.sas.lsaf.execution.job

## Enum JobSubmissionStatus.SummaryStatus

- java.lang.Object
- - java.lang.Enum<JobSubmissionStatus.SummaryStatus>
  - - com.sas.lsaf.execution.job.JobSubmissionStatus.SummaryStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<JobSubmissionStatus.SummaryStatus>`
  Enclosing class:
    JobSubmissionStatus

      public static enum JobSubmissionStatus.SummaryStatus
      extends java.lang.Enum<JobSubmissionStatus.SummaryStatus>

  The summary status.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMPLETED` | The job has completed.
    `NOT_DETERMINED` | The job status cannot be not determined.
    `NOT_STARTED` | The job has not yet started.
    `STARTED` | The job has started.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static JobSubmissionStatus.SummaryStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static JobSubmissionStatus.SummaryStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_DETERMINED

          public static final JobSubmissionStatus.SummaryStatus NOT_DETERMINED

      The job status cannot be not determined.

    - #### NOT_STARTED

          public static final JobSubmissionStatus.SummaryStatus NOT_STARTED

      The job has not yet started.

    - #### STARTED

          public static final JobSubmissionStatus.SummaryStatus STARTED

      The job has started.

    - #### COMPLETED

          public static final JobSubmissionStatus.SummaryStatus COMPLETED

      The job has completed.

  - ### Method Detail

    - #### values

          public static JobSubmissionStatus.SummaryStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JobSubmissionStatus.SummaryStatus c : JobSubmissionStatus.SummaryStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JobSubmissionStatus.SummaryStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null